package com.shcd.conf;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import java.sql.*;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

@Configuration
public class DMConfiguration {
    @Value("${spring.datasource.driver-class-name}")
    private String className;
    @Value("${spring.datasource.password}")
    public String password;
    @Value("${spring.datasource.url}")
    private String url;
    @Value("${spring.datasource.username}")
    private String username;
    public Map<String, Date> ExcuateSql(String sql){
        Statement statement = null;
        ResultSet resultSet = null;
        try {
            Class.forName(className);
            Connection connection = DriverManager.getConnection(url, username, password);
            statement = connection.createStatement();
            resultSet = statement.executeQuery(sql);
            ResultSetMetaData metaData = resultSet.getMetaData();
            ArrayList<Map<String, Date>> maps = new ArrayList<>();
            while (resultSet.next()){
                HashMap<String, Date> dataMap = new HashMap<>();
                for (int i = 1; i <= metaData.getColumnCount(); i++) {
                    dataMap.put(metaData.getColumnLabel(i), (Date) resultSet.getObject(i));
                }
                maps.add(dataMap);
            }
            return maps.get(0);
        }catch (Exception e){
            e.getMessage();
        }finally {
            try {
                if (resultSet != null){
                    resultSet.close();
                }
                if (statement != null){
                    statement.close();
                }
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }
        return null;
    }
}
